### Constructor

# Gtk FontButton new_with_font

#### Declaration [src]

    GtkWidget*
    gtk_font_button_new_with_font (
      const char* fontname
    )

#### Description [src]

Creates a new font picker widget showing the given font.

#### Parameters

`fontname` | `const char*`
| Name of font to display in font chooser dialog.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| A new font picker widget.
| The data is owned by the called function.